FSDreamTeam forum
July 17, 2019, 04:47:07 AM *
Welcome, Guest. Please login or register.

Login with username, password and session length
News:
 
   Home   Help Login Register  
Pages: [1]
  Print  
Author Topic: bglmanx.dll  (Read 465 times)
Alabamaboy
Newbie
*
Posts: 13


« on: April 12, 2019, 07:14:44 PM »

I canít find the bglmanx.dll in my FSX folder after I run the live update which causes my payware aircraft to crash and donít have terminal showing up
Logged
Alabamaboy
Newbie
*
Posts: 13


« Reply #1 on: April 13, 2019, 03:25:55 AM »

Ok I have uninstalled KORD my qw757 and reinstalled KORD. Still no terminals showing. Donít have Couatl in my Addon Menu Iím at my last straw never happened before time to go back to ORD default.
Logged
virtuali
Administrator
Hero Member
*****
Posts: 35073



WWW
« Reply #2 on: April 13, 2019, 07:33:44 PM »

I canít find the bglmanx.dll in my FSX folder after I run the live update

If the file is just not there, that's clearly an antivirus fault, which has removed the .DLL because of an antivirus bug, having mistakenly flagged as a threat (which obviously isn't).


Quote
which causes my payware aircraft to crash and donít have terminal showing up

If the file is missing, it's entirely normal terminals won't show up, since it's required by all our sceneries. But if the .DLL is missing, it cannot obviously cause a crash, since something that is just "not there", cannot be loaded, hence cannot be the cause of your crash.

Instead, the same antivirus that has mistakenly remove the bglmanx.dll, might just be the cause of your airplane crash.
Logged

Alabamaboy
Newbie
*
Posts: 13


« Reply #3 on: April 13, 2019, 08:55:15 PM »

This is going to be a quality wing issue. I ran FSDT Addon and got everything back but the qw757 crashes. And when I reinstall qw the scenery is messed up I get a msg GSX is outdated and my bglmax.dll is out of date so now Iíll post on as forum
Logged
virtuali
Administrator
Hero Member
*****
Posts: 35073



WWW
« Reply #4 on: April 14, 2019, 12:29:02 AM »

You should never install the QW757 *after* a recent FSDT update, because by doing this, you downgraded the Addon Manager, since the old QW installers haven't been updated to support our new Live Update system. Because of this, you should ALWAYS run the latest FSDT Live Update AFTER you install the QW757, to fix everything back to the latest and correct version.

The issue of the QW757 crashing at start, is caused because, a few years ago, Esellerate changed its own library and SDK, to be compatible with an OS update that happened at that time. This required to make a few small changes to the QW757 Gauges, to be compatible with the new Esellerate library.

However, you can solve the crash on start, if you save a default flight with ANY other airplane than the 757, then switch to the 757 after the sim is loaded. This will allow you to use the 757 with the latest updates from FSDT. If the Gauge code of the airplane were to be updated as well, this wouldn't be required.

We offered QW our support if they wanted our help to update their installer, and to update their Gauge so users won't run into this issues, but they didn't seem interested, I guess they see the 757 as a Legacy product.
Logged

Alabamaboy
Newbie
*
Posts: 13


« Reply #5 on: April 14, 2019, 02:06:41 AM »

Ok so I deleated QW reran the FSDT Addon manager then reinstalled QW. Still the same issue I have QW but FSDT scenery still no terminals. If I delete QW then rerun FSDT I will have my scenery back. But no Qw so guess my QW has seen its last days time to take it to get scrapped.
Logged
virtuali
Administrator
Hero Member
*****
Posts: 35073



WWW
« Reply #6 on: April 14, 2019, 03:12:40 AM »

Ok so I deleated QW reran the FSDT Addon manager then reinstalled QW.

That's to be expected. If you do exactly the opposite of what I suggested, it's no wonder nothing works. I'll quote again the relevant parts of my previous message, which included all the information you need to fix this problem:

Quote
You should never install the QW757 *after* a recent FSDT update

AND

Quote
you should ALWAYS run the latest FSDT Live Update AFTER you install the QW757

AND (after doing this, so you run the latest FSDT Update WITHOUT having downgraded by a subsequent QW757 installation:

Quote
you can solve the crash on start, if you save a default flight with ANY other airplane than the 757, then switch to the 757 after the sim is loaded.

I'll try to make it even more clear (hopefully):

- Save a startup flight with any plane which is not the QW757

1) Install the QW757

2) Install anything from FSDT, like GSX, for example, which will run the Live Update.

3) DO NOT install the QW757 again! If you *must* reinstall it for any reason, do it, and redo Step #2
Logged

Alabamaboy
Newbie
*
Posts: 13


« Reply #7 on: April 14, 2019, 05:13:14 AM »

This is the EXACT steps I took
1 delete qwing
2 deleted live update
3. Deleated GSX
4. INSTALLED addon manager
5 installed QW
6 started sim
7 started flight from saved default
8 changed a/c to qw757
9 hung up and cdt
So it still looks like a conflict in the .dll until qw steps up its going to continue.
Logged
virtuali
Administrator
Hero Member
*****
Posts: 35073



WWW
« Reply #8 on: April 16, 2019, 05:28:50 PM »

This is the EXACT steps I took

And as I've said, multiple time, they are WRONG, and NOT what I suggested to do. You keep doing the same mistake of installing QW last, when I clearly said you must install FSDT last!

Quote
So it still looks like a conflict in the .dll until qw steps up its going to continue.

No, there's no conflict. The problem it's that you keep doing the installation in the opposite order I suggested.
Logged

Alabamaboy
Newbie
*
Posts: 13


« Reply #9 on: April 16, 2019, 09:55:49 PM »

Uninstalled Qw and FSDT
Installed QW
Reinstalled FSDT live update
Started default flight
Swapped to QW
Get the Addon GSX is out-of date and this is the newest update
Get your copy of blgmanx.dll is outdated
So I may be old and my head may have aged but Iím not
Crazy

Logged
virtuali
Administrator
Hero Member
*****
Posts: 35073



WWW
« Reply #10 on: April 19, 2019, 09:04:26 AM »

Quote
Uninstalled Qw and FSDT
Installed QW
Reinstalled FSDT live update

And you did it wrong, AGAIN. You keep doing the same mistake of installing the QW and not installing something from FSDT AFTER it.

You said "Reinstalled the FSDT Live Update. But you cannot "reinstall" the FSDT Live Update. The Live update is not a separate program you can install or download, it's only installed together with a recent version of any FSDT product, like GSX or any scenery.

Since you cannot "reinstall" the FSDT Live Update, I can only assume you meant "Ran the FSDT Live Update" and, as I've said multiple times, this is not enough and won't work.

You MUST reinstall something from FSDT AFTER the QW757, for example GSX. This will come with the latest Live Update, and will run it automatically at the end.

It's not possible that you would get an "outdated bglmanx.dll" message if you do this. The ONLY possible reason you get that message, is if you install the QW after FSDT.

Or, of course, if your antivirus is interfering, so it's blocking for some reason the download of the current version of the files. The antivirus should always configured to exclude the WHOLE Addon Manager folder, if you suspect it might interfere with it.
Logged

Alabamaboy
Newbie
*
Posts: 13


« Reply #11 on: April 20, 2019, 01:07:59 AM »

Installed QW
Installed GSX2
ran live update
Started FSX
Started flight at KORD with a default A/C
Switched to QW
Sim crashed
So did it as you said
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2015, Simple Machines Valid XHTML 1.0! Valid CSS!